﻿<!-- Content Header (Page header) -->
<section class="content-header">
    <h1 class="content-header vazir-font">
        <small>انجمن</small>
        سوال جدید
    </h1>

    <ol class="breadcrumb">
        <li><a ui-sref="home"><i class="fa fa-dashboard"></i>خانه</a></li>
        <li class="active">فعالیت ها</li>
        <li class="active">سوال جدید</li>
    </ol>
</section>
<div class="row">
    <div class="col-xs-12">
        <div class="col-xs-12 col-md-4">

            <div class="box box-danger">
                <div class="box-header with-border">
                    <h3 class="box-title vazir-font">اطلاعات تکمیلی سوال</h3>
                    <i class="fa fa-info fa-2x text-muted"></i>
                </div><!-- /.box-header -->
                <div class="box-body persian-rtl">
                    <div class="form">
                        <div class="form-group row" ng-class="errForum.mainSubject? 'has-error':''">
                            <label class="col-xs-12 control-labe">موضوع اصلی سوال :</label>
                            <div class="col-xs-12">
                                <ui-select ng-model="question.MainSubject"
                                           theme="bootstrap"
                                           title="انتخاب نشده ..."
                                           on-select="subjectChanged()">
                                    <ui-select-match placeholder="انتخاب نشده ...">{{$select.selected.Title}}</ui-select-match>
                                    <ui-select-choices repeat="t in allSubjects track by $index"
                                                       refresh="refreshAddresses($select.search)"
                                                       refresh-delay="0">
                                        <div ng-bind="t.Title" class="text-right"></div>
                                    </ui-select-choices>
                                </ui-select>
                            </div>
                        </div>
                        <div class="form-group row" ng-class="errForum.subject? 'has-error':''">
                            <label class="col-xs-12 control-labe">موضوع سوال :</label>
                            <div class="col-xs-12">
                                <ui-select ng-model="question.Subject"
                                           theme="bootstrap"
                                           title="انتخاب نشده ..."
                                           on-select="childSubjectChanged()">
                                    <ui-select-match placeholder="انتخاب نشده ...">{{$select.selected.Title}}</ui-select-match>
                                    <ui-select-choices repeat="t in allChildSubjects track by $index"
                                                       refresh="refreshAddresses($select.search)"
                                                       refresh-delay="0">
                                        <div ng-bind="t.Title" class="text-right"></div>
                                    </ui-select-choices>
                                </ui-select>
                            </div>
                        </div>
                        <div class="form-group  row" style="margin-top: 5px">
                            <label class="col-xs-12 control-labe">تگ سوال :</label>
                            <div class="col-xs-12">
                                <ui-select multiple ng-model="question.Tags" theme="bootstrap"
                                           ng-disabled="ctrl.disabled" sortable="true" close-on-select="false" style="">
                                    <ui-select-match placeholder="انتخاب نشده ... ">{{$item.Text}}</ui-select-match>
                                    <ui-select-choices
                                            repeat="t in allTags | filter: {Text: $select.search}">
                                        <div compile="t.Text" class="text-right"></div>
                                    </ui-select-choices>
                                </ui-select>
                            </div>
                        </div>
                    </div>
                </div><!-- /.box-body -->
            </div><!-- /.box -->
            <div class="box box-warning">
                <div class="box-header with-border">
                    <h3 class="box-title vazir-font"> فایل های ضمیمه </h3>
                    <i class="fa fa-paperclip fa-2x text-muted"></i>
                </div><!-- /.box-header -->
                <div class="box-body persian-rtl">
                    <div ng-repeat="f in myFiles">
                        <div class="panel panel-default">
                            <div class="panel-body">
                                <img ngf-thumbnail="f||'../images/Avatar.jpg'" style="width:50px;height: 50px;"
                                     class="img-circle pull-left" >
                                <span style="padding-left: 5px;word-wrap: break-word;line-height: 50px;" class="text-left pull-left" >
                                    {{f.name}}
                                </span>
                                <button type="button" class="close" ng-click="removeFile(f)" aria-hidden="true">×</button>
                            </div>
                        </div>
                    </div>
                    <div class="form-gro p row" style="margin-top: 5px">
                        <div class="col-xs-12">
                            <span class="btn btn-primary btn-file pull-left ">
            انتخاب فایل (ها)  <input type="file" id="inputFile" ngf-select name="file"
                                accept="image/*" ngf-max-size="50MB"
                                ngf-model-invalid="errorFile" ngf-multiple="true" ngf-keep="'distinct'"
                                ng-model="myFiles"
                                ngf-change="filesChanged($files, $file, $newFiles, $duplicateFiles, $invalidFiles, $event)">
                            </span>
                        </div>
                    </div>
                </div><!-- /.box-body -->
            </div><!-- /.box -->

        </div>

        <div class="col-xs-12 col-md-8">
            <div class="box box-success">
                <div class="box-header with-border">
                    <h3 class="box-title vazir-font">متن سوال</h3>
                    <i class="fa fa-plus fa-2x text-muted"></i>
                </div><!-- /.box-header -->
                <div class="box-body persian-rtl">
                    <div class="form-horizontal row">
                        <div class="form-group col-xs-12" ng-class="errForum.title? 'has-error':''">
                            <div class="col-md-10 col-xs-12">
                                <input id="title" class="form-control" ng-model="question.Title"
                                       placeholder="خلاصه سوال ... " ng-change="fieldChanged('title',question.Title)"
                                        ng-model-options="{debounce:100}" />
                            </div>
                            <label for="title" class="col-md-2 col-xs-12 control-label">خلاصه سوال</label>
                        </div>
                        <div class="form-group col-xs-12" ng-class="errForum.text? 'has-error':''">
                            <div class="col-xs-10">
                                <textarea rows="15" id="body" class="form-control" ng-model="question.QuestionText"
                                          placeholder="سوال کامل ... " ng-change="fieldChanged('text',question.QuestionText)"
                                          ng-model-options="{debounce:100}"></textarea>
                            </div>
                            <label for="body" class="col-xs-2 control-label">سوال کامل</label>
                        </div>
                        <div class="form-gro p " style="margin-top: 5px">
                            <div class="col-xs-12">
                                <button class="btn btn-success pull-left" type="submit" ng-click="saveQuestion()" >
                                    {{form.submitButton}}
                                </button>
                            </div>
                        </div>
                    </div>
                </div><!-- /.box-body -->
            </div><!-- /.box -->
        </div>
    </div>
</div>
